# Uses of Interface
javax.swing.JComboBox.KeySelectionManager

Packages that use JComboBox.KeySelectionManager
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of JComboBox.KeySelectionManager in javax.swing

Fields in javax.swing declared as JComboBox.KeySelectionManager
Modifier and Type
Field
Description
`protected JComboBox.KeySelectionManager`
JComboBox.`keySelectionManager`
This protected field is implementation specific.
Methods in javax.swing that return JComboBox.KeySelectionManager
Modifier and Type
Method
Description
`protected JComboBox.KeySelectionManager`
JComboBox.`createDefaultKeySelectionManager()`
Returns an instance of the default key-selection manager.
`JComboBox.KeySelectionManager`
JComboBox.`getKeySelectionManager()`
Returns the list's key-selection manager.
Methods in javax.swing with parameters of type JComboBox.KeySelectionManager
Modifier and Type
Method
Description
`void`
JComboBox.`setKeySelectionManager​(JComboBox.KeySelectionManager aManager)`
Sets the object that translates a keyboard character into a list selection.